Package org.opensaml.xacml.policy.impl

# Class AttributeAssignmentTypeImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.xacml.impl.AbstractXACMLObject
org.opensaml.xacml.policy.impl.AttributeValueTypeImpl
org.opensaml.xacml.policy.impl.AttributeAssignmentTypeImpl

All Implemented Interfaces:
  `AttributeExtensibleXMLObject`, `ElementExtensibleXMLObject`, `XMLObject`, `AttributeAssignmentType`, `AttributeValueType`, `ExpressionType`, `XACMLObject`

public class AttributeAssignmentTypeImpl extends AttributeValueTypeImpl implements AttributeAssignmentType
Implementation for `AttributeAssignmentType`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private String`
`attributeId`
Value for the attribute AttributeId.

### Fields inherited from interface org.opensaml.xacml.policy.AttributeAssignmentType

`ATTR_ID_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.AttributeValueType

`DATA_TYPE_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, SCHEMA_TYPE_LOCAL_NAME, SCHEMA_TYPE_NAME`

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AttributeAssignmentTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAttributeId()`
Gets the ID of the attribute to be assigned.
`void`
`setAttributeId(String newAttributeID)`
Sets the ID of the attribute to be assigned.

### Methods inherited from class org.opensaml.xacml.policy.impl.AttributeValueTypeImpl

`getDataType, getOrderedChildren, getUnknownAttributes, getUnknownXMLObjects, getUnknownXMLObjects, getValue, setDataType, setValue`

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.AttributeExtensibleXMLObject

`getUnknownAttributes`

### Methods inherited from interface org.opensaml.xacml.policy.AttributeValueType

`getDataType, getValue, setDataType, setValue`

### Methods inherited from interface org.opensaml.core.xml.ElementExtensibleXMLObject

`getUnknownXMLObjects, getUnknownXMLObjects`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### attributeId

private String attributeId
Value for the attribute AttributeId.

## Constructor Details

### AttributeAssignmentTypeImpl

protected AttributeAssignmentTypeImpl(String namespaceURI, String elementLocalName, String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAttributeId

public String getAttributeId()
Gets the ID of the attribute to be assigned.

Specified by:
  `getAttributeId` in interface `AttributeAssignmentType`
Returns:
  ID of the attribute to be assigned

### setAttributeId

public void setAttributeId(String newAttributeID)
Sets the ID of the attribute to be assigned.

Specified by:
  `setAttributeId` in interface `AttributeAssignmentType`
Parameters:
  `newAttributeID` - ID of the attribute to be assigned